package com.fs.app.controller;


import com.fs.app.service.CallTaskService;
import com.fs.common.core.domain.R;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api("公共接口")
@RestController
@RequestMapping(value="/app/common")
@Slf4j
@AllArgsConstructor
public class CommonController {


    private final CallTaskService taskService;

    @GetMapping("/test")
    public R test(){
        return R.ok();
    }

    @GetMapping("cidWorkflowCallRun")
    public void cidWorkflowCallRun(){
        taskService.cidWorkflowCallRun();
    }
}
